// Definition of class NXMarkerCell, Version 1

@interface NXMarkerCell : Cell
{	char * markername;
	BOOL visible;
}

+ new;
+ initialize;

- markerDidChange: sender;
- writeRichText: (NXStream*) rtfdStream forView: theView;
- visible;
- stopTracking:(const NXPoint *)lastPoint at:(const NXPoint *)stopPoint inView:controlView mouseIsUp:(BOOL)flag;
- (BOOL)startTrackingAt:(const NXPoint *)startPoint inView:controlView;
- setVisible: (BOOL) isVisible;
- setMarkername: (const char *) theName;
- setInspector: theInspector;
- readRichText: (NXStream*) theStream forView: textView;
- markername;
- inspector;
- inspectInView: theView;
- init;
- initForView: theView;
- imageHighlighted;
- image;
- highlight: (NXRect*) cellFrame inView: theView lit: (BOOL) flag;
- free;
- drawSelf: (const NXRect*) cellFrame inView: theView;
- continueTracking: (NXPoint*) mouseDownPoint at: (NXPoint*) cellPosition inView: theView;
- calcCellSize: (NXSize*) cellSize;
- copyFromZone: (NXZone*) theZone;

@end

// Definition of class NXLinkCell, Version 1

@interface NXLinkCell : NXMarkerCell
{	char * linkFilename;
	char * linkMarkername;
	BOOL openInNewWin;
	BOOL beingUsed;
	BOOL beingFreed;
}

+ new;
+ initialize;

- showFile: (const char *) theFile atMarker: (const char *) markerName openInNewWin: (BOOL) flag;
- showFile: (const char *) theFile atMarker: (const char *) markerName;
- readRichText: (NXStream*) theStream forView: textView;
- writeRichText: (NXStream*) theStream forView: theView;
- stopTracking:(const NXPoint *)lastPoint at:(const NXPoint *)stopPoint inView:controlView mouseIsUp:(BOOL)flag;
- setInspector: theInspector;
- setLinkMarkername: (const char *) theName;
- setOpenInNewWin: (BOOL) flag;
- setLinkFilename: (const char *) filename;
- openInNewWin;
- linkMarkername;
- linkFilename;
- inspector;
- inspectInView: theView;
- initForView: theView;
- imageHighlighted;
- image;
- highlight: (NXRect*) cellFrame inView: theView lit: (BOOL) flag;
- free;
- copyFromZone: (NXZone*) arg_1;

@end

